CreateApplication
Note
AWS Service Catalog AppRegistry will no longer be open to new customers starting July 30, 2026. If you would like to use AppRegistry, sign up prior to that date. Existing customers can continue to use the service as normal. For more information, see AWS Service Catalog AppRegistry availability change.
Creates a new application that is the top-level node in a hierarchy of related cloud resource abstractions.
Request Syntax
POST /applications HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"description": "string",
"name": "string",
"tags": {
"string" : "string"
}
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- clientToken
-
A unique identifier that you provide to ensure idempotency. If you retry a request that completed successfully using the same client token and the same parameters, the retry succeeds without performing any further actions. If you retry a successful request using the same client token, but one or more of the parameters are different, the retry fails.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9_-]*Required: Yes
- description
-
The description of the application.
Type: String
Length Constraints: Maximum length of 1024.
Required: No
- name
-
The name of the application. The name must be unique in the region in which you are creating the application.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
[-.\w]+Required: Yes
-
Key-value pairs you can use to associate with the application.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 50 items.
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Key Pattern:
^([\p{L}\p{Z}\p{N}_.:\/=+\-@]*)$Value Length Constraints: Maximum length of 256.
Value Pattern:
[\p{L}\p{Z}\p{N}_.:/=+\-@]*Required: No
Response Syntax
HTTP/1.1 201
Content-type: application/json
{
"application": {
"applicationTag": {
"string" : "string"
},
"arn": "string",
"creationTime": "string",
"description": "string",
"id": "string",
"lastUpdateTime": "string",
"name": "string",
"tags": {
"string" : "string"
}
}
}
Response Elements
If the action is successful, the service sends back an HTTP 201 response.
The following data is returned in JSON format by the service.
- application
-
Information about the application.
Type: Application object
Errors
- ConflictException
-
There was a conflict when processing the request (for example, a resource with the given name already exists within the account).
HTTP Status Code: 409
- InternalServerException
-
The service is experiencing internal problems.
HTTP Status Code: 500
- ServiceQuotaExceededException
-
The maximum number of resources per account has been reached.
HTTP Status Code: 402
- ThrottlingException
-
The maximum number of API requests has been exceeded.
- message
-
A message associated with the Throttling exception.
- serviceCode
-
The originating service code.
HTTP Status Code: 429
- ValidationException
-
The request has invalid or missing parameters.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: